<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts PUBLIC
		"-//Apache Software Foundation//DTD Struts Configuration 2.3//EN"
		"http://struts.apache.org/dtds/struts-2.3.dtd">

<struts>
	<constant name="struts.enable.DynamicMethodInvocation" value="true" />
	<!-- 开启使用开发模式，详细错误提示 -->
	<constant name="struts.devMode" value="true"/>
	<!-- 指定每次请求到达，重新加载资源文件 -->
	<constant name="struts.i18n.reload" value="true"/>
	<!-- 指定每次配置文件更改后，自动重新加载 -->
	<constant name="struts.configuration.xml.reload" value="true"/>
	<!-- 指定XSLT Result使用样式表缓存 -->
	<constant name="struts.xslt.nocache" value="true"/>
	<!-- action的name允许出现“/” -->
	<constant name="struts.enable.SlashesInActionNames" value="true"/>

	<!-- 修改上传文件的大小 -->
	<constant name="struts.multipart.maxSize" value="50000000"/>

	<package name="happy" namespace="/" extends="struts-default">
<!--		<action name="data*" method = "{1}" class="com.happy.action.DataAction">-->
<!--			<result name="list">/jsp/list.jsp</result>-->
<!--		</action>-->
		<action name="admin*" method = "{1}" class="com.happy.action.adminAction">
		</action>
		<action name="managerAdmin*" method = "{1}" class="com.happy.action.adminManagerAction">
		</action>
		<action name="config*" method = "{1}" class="com.happy.action.configAction">
		</action>
		<action name="hotel*" method = "{1}" class="com.happy.action.hotelAction">
		</action>
		<action name="Coupom*" method = "{1}" class="com.happy.action.hotelCoupomAction">
		</action>
		<action name="Complain*" method = "{1}" class="com.happy.action.bookComplainAction">
		</action>
		<action name="Comment*" method = "{1}" class="com.happy.action.bookCommentAction">
		</action>
		<action name="workflow*" method = "{1}" class="com.happy.action.WorkflowAction">
		</action>
		<action name="house*" method = "{1}" class="com.happy.action.houseAction">
		</action>
		<action name="house/price/*" method = "{1}" class="com.happy.action.HousePriceAction">
		</action>
		<action name="house/number/*" method = "{1}" class="com.happy.action.HouseNumberAction">
		</action>
		<action name="house/number/status/*" method = "{1}" class="com.happy.action.HouseNumberStatusAction">
		</action>
		<action name="book*" method = "{1}" class="com.happy.action.bookAction">
		</action>
		<action name="app*" method = "{1}" class="com.happy.action.appAction"></action>
		<action name="upload*" method = "{1}" class="com.happy.action.uploadAction">
		</action>
		<action name="idc*" method = "{1}" class="com.happy.action.IDCAction">
		</action>

		<action name="abk*" method = "{1}" class="com.happy.action.AppBookingAction"></action>
		<action name="ahp*" method = "{1}" class="com.happy.action.AppHomePageAction"></action>
		<action name="amp*" method = "{1}" class="com.happy.action.AppMePageAction"></action>
		<action name="abca*" method = "{1}" class="com.happy.action.AppBookingCommentAction"></action>

		<action name="complaint*" method = "{1}" class="com.happy.action.AppBookingComplaintAction"></action>

	</package>
	<package name="interfaces" namespace="/interfaces" extends="struts-default">
		<!-- 接口总调度开始 -->
<!--		<action name="main*" method="{1}" class="com.happy.action.MainAction"></action>-->
	</package>

</struts>